# Transfer Between Accounts

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Fund Management", href: "/trading/rest-api/fund-management" },
    { label: "Transfer Between Accounts" },
  ]}
  title="Transfer Between Accounts"
  method="POST"
  url="https://api.gemini.com/v1/account/transfer/{currency}"
  description="Executes an internal transfer between any two accounts within your Master Group. Exchange-to-exchange transfers have no blockchain activity; all other combinations result in blockchain movement."
  note={{
    title: "Note",
    children: (
      <>
        <p style={{ margin: "0 0 8px" }}>Gemini Custody withdrawals occur during the daily custody run. Custody-to-Exchange transfers receive pre-credit. Custody accounts request withdrawals to approved addresses and require approved IP controls.</p>
        <p style={{ margin: 0 }}>Custody accounts do not support fiat transfers. Fiat transfers between non-derivative and derivatives accounts are prohibited.</p>
      </>
    ),
  }}
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/account/transfer/btc",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/account/transfer/btc",
        nonce: "<nonce>",
        sourceAccount: "primary",
        targetAccount: "my-secondary-account",
        amount: "1.0",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <p style={{ margin: 0 }}>The API key you use to access this endpoint must be a Master level key with the Fund Manager role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="transferBetweenAccounts" />,
    },
    {
      heading: "Path Parameters",
      children: <SpecPathParams operationId="transferBetweenAccounts" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="transferBetweenAccounts" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="transferBetweenAccounts" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Remove Approved Address", href: "/trading/rest-api/fund-management/remove-approved-address" }}
  next={{ label: "Get Transaction History", href: "/trading/rest-api/fund-management/get-transaction-history" }}
/>
